Bug 1938333 - [rfe] Add aliases if and ar
Summary: [rfe] Add aliases if and ar
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 34
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: dnf-community
TreeView+ depends on / blocked
 
Reported: 2021-03-12 19:56 UTC by Thiago Sueto
Modified: 2021-09-24 20:32 UTC (History)
10 users (show)

Fixed In Version: dnf-4.9.0-1.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-24 20:32:21 UTC
Type: Bug


Attachments (Terms of Use)

Description Thiago Sueto 2021-03-12 19:56:37 UTC
There are already some aliases available for openSUSE users.
Two more could be added for convenience:

if for dnf info
ar for config-manager --add-repo

Perhaps it would be interesting to have an additional one named cm for config-manager to serve as an equivalent to zypper mr (modifyrepo) too.

Comment 1 Neal Gompa 2021-03-13 13:07:47 UTC
PR is open for adding "if" for "info": https://github.com/rpm-software-management/dnf/pull/1744

Comment 2 Neal Gompa 2021-03-13 13:08:34 UTC
As config-manager functionality is in a separate package, that probably makes sense to be handled differently.

Comment 3 Pavla Kratochvilova 2021-03-15 13:29:08 UTC
As for the "ar" alias, I don't think we want such a specific alias defined in the code. But you can add alias for yourself using:
# dnf alias add ar="config-manager --add-repo"

Comment 4 Fedora Update System 2021-06-15 07:21:24 UTC
FEDORA-2021-78c5f8c03d has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 Neal Gompa 2021-06-15 22:04:46 UTC
This isn't included in 4.8.0, but I just merged it now (since there was an approval already). It'll be in the next version.

Comment 6 Fedora Update System 2021-09-23 13:04:43 UTC
FEDORA-2021-a3a73697b8 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-a3a73697b8

Comment 7 Fedora Update System 2021-09-23 19:41:43 UTC
FEDORA-2021-a3a73697b8 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-a3a73697b8`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-a3a73697b8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-09-24 20:32:21 UTC
FEDORA-2021-a3a73697b8 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.